﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TDCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_TALENTFILE') 
 CREATE TABLE T_TDCS_TALENTFILE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBRED DATETIME,
FBRLED DATETIME,
FBRFD DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FEMPPOSRELID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FISADMINISTRATOR CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_TALENTFILEATT') 
 CREATE TABLE T_TDCS_TALENTFILEATT (
FATTACHEDID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FEMPPOSRELID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_CERPROCESSRECORD') 
 CREATE TABLE T_TDCS_CERPROCESSRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISENABLEDATE DATETIME,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FCERRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FISAPPEAL CHAR(1) DEFAULT ' ' NOT NULL,
FAPPEALDATE DATETIME,
FAPPEALREASON NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_CERPROCESSRECORD_L') 
 CREATE TABLE T_TDCS_CERPROCESSRECORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_APPOINTRECORD') 
 CREATE TABLE T_TDCS_APPOINTRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYVID BIGINT DEFAULT 0 NOT NULL,
FADMINORGVID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONVID BIGINT DEFAULT 0 NOT NULL,
FDISMISSDATE DATETIME,
FAPPOINTDATE DATETIME,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FISPRIMAPPOINT CHAR(1) DEFAULT ' ' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TDCS_table.sql **/
