﻿/**Begin D:\PDM_UPGRADE\PDM1\TDCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_APPOINTRECORD' AND KSQL_COL_NAME ='FPREPOSITIVEDATE') 
 ALTER TABLE T_TDCS_APPOINTRECORD ADD (FPREPOSITIVEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_APPOINTRECORD' AND KSQL_COL_NAME ='FAPPOINTID') 
 ALTER TABLE T_TDCS_APPOINTRECORD ADD (FAPPOINTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_APPOINTRECORD' AND KSQL_COL_NAME ='FCADRECATID') 
 ALTER TABLE T_TDCS_APPOINTRECORD ADD (FCADRECATID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_RELATIONAL') 
 CREATE TABLE T_TDCS_RELATIONAL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FEMPPOSRELID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FISPULL CHAR(1) DEFAULT ' ' NOT NULL,
FPULLTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_PERFORMANCE') 
 CREATE TABLE T_TDCS_PERFORMANCE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FCHECKTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCHECKTHEME VARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKRESULT VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_CADRECATEGORY') 
 CREATE TABLE T_TDCS_CADRECATEGORY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_CADRECATEGORY_L') 
 CREATE TABLE T_TDCS_CADRECATEGORY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_AVOIDINFOMATION') 
 CREATE TABLE T_TDCS_AVOIDINFOMATION (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FGENDERID BIGINT DEFAULT 0 NOT NULL,
FRELATIONID BIGINT DEFAULT 0 NOT NULL,
FWORKUNIT VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTENT VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_OUTREPRECORD') 
 CREATE TABLE T_TDCS_OUTREPRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FRECORDDATE DATETIME,
FOUTDECDATE DATETIME,
FRETURNDECDATE DATETIME,
FOUTTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FOUTDESTID BIGINT DEFAULT 0 NOT NULL,
FOUTREALDATE DATETIME,
FRETURNREALDATE DATETIME,
FOUTREASON VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_OUTREPORTATTACH') 
 CREATE TABLE T_TDCS_OUTREPORTATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\TDCS_table.sql **/
