﻿ EXEC P_ALTERPK 'PK_TDCS_CERTGROUP', 'T_TDCS_CERTGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_CERTGROUP') CREATE INDEX IDX_TDCS_CERTGROUP ON T_TDCS_CERTGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_CERTGROUP_L', 'T_TDCS_CERTGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_CERTGROUP_L') CREATE INDEX IDX_TDCS_CERTGROUP_L ON T_TDCS_CERTGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_CERTREVIEWENTRY', 'T_TDCS_CERTREVIEWENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_CERTREVIEWENTRY') CREATE INDEX IDX_TDCS_CERTREVIEWENTRY ON T_TDCS_CERTREVIEWENTRY ( FJOBSCMID ,FID );


 EXEC P_ALTERPK 'PK_TDCS_CERTMEMBERENTRY', 'T_TDCS_CERTMEMBERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_CERTMEMBERENTRY') CREATE INDEX IDX_TDCS_CERTMEMBERENTRY ON T_TDCS_CERTMEMBERENTRY ( FID ,FCERTIFYROLEID );


 EXEC P_ALTERPK 'PK_TDCS_CERTIFYROLE', 'T_TDCS_CERTIFYROLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_CERTIFYROLE') CREATE INDEX IDX_TDCS_CERTIFYROLE ON T_TDCS_CERTIFYROLE ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_JUDGERESOURCE', 'T_TDCS_JUDGERESOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_JUDGERESOURCE') CREATE INDEX IDX_TDCS_JUDGERESOURCE ON T_TDCS_JUDGERESOURCE ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_CERTIFYROLE_L', 'T_TDCS_CERTIFYROLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_CERTIFYROLE_L') CREATE INDEX IDX_TDCS_CERTIFYROLE_L ON T_TDCS_CERTIFYROLE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_JUDGEREVIEWENTRY', 'T_TDCS_JUDGEREVIEWENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_JUDGEREVIEWENTRY') CREATE INDEX IDX_TDCS_JUDGEREVIEWENTRY ON T_TDCS_JUDGEREVIEWENTRY ( FJOBSCMID ,FID );


 EXEC P_ALTERPK 'PK_TDCS_JUDGERESOURCE_L', 'T_TDCS_JUDGERESOURCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_JUDGERESOURCE_L') CREATE INDEX IDX_TDCS_JUDGERESOURCE_L ON T_TDCS_JUDGERESOURCE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_JUDGE', 'T_TDCS_JUDGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_JUDGE') CREATE INDEX IDX_TDCS_JUDGE ON T_TDCS_JUDGE ( FISEMP );


 EXEC P_ALTERPK 'PK_TDCS_JUDGE_L', 'T_TDCS_JUDGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_JUDGE_L') CREATE INDEX IDX_TDCS_JUDGE_L ON T_TDCS_JUDGE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_EVENTTPL', 'T_TDCS_EVENTTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_EVENTTPL') CREATE INDEX IDX_TDCS_EVENTTPL ON T_TDCS_EVENTTPL ( FEVENTTYPE );


 EXEC P_ALTERPK 'PK_TDCS_BUSIEVENTRELTPL', 'T_TDCS_BUSIEVENTRELTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_BUSIEVENTRELTPL') CREATE INDEX IDX_TDCS_BUSIEVENTRELTPL ON T_TDCS_BUSIEVENTRELTPL ( FSOURCEENTITY );


 EXEC P_ALTERPK 'PK_TDCS_EVENTRELHISTPL', 'T_TDCS_EVENTRELHISTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_EVENTRELHISTPL') CREATE INDEX IDX_TDCS_EVENTRELHISTPL ON T_TDCS_EVENTRELHISTPL ( FVID );


 EXEC P_ALTERPK 'PK_TDCS_COMMFRAME', 'T_TDCS_COMMFRAME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_COMMFRAME') CREATE INDEX IDX_TDCS_COMMFRAME ON T_TDCS_COMMFRAME ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_COMMORGMAP', 'T_TDCS_COMMORGMAP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_COMMORGMAP') CREATE INDEX IDX_TDCS_COMMORGMAP ON T_TDCS_COMMORGMAP ( FTYPE );


 EXEC P_ALTERPK 'PK_TDCS_COMMORG', 'T_TDCS_COMMORG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_COMMORG') CREATE INDEX IDX_TDCS_COMMORG ON T_TDCS_COMMORG ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_JOBSCMENTRY', 'T_TDCS_JOBSCMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_JOBSCMENTRY') CREATE INDEX IDX_TDCS_JOBSCMENTRY ON T_TDCS_JOBSCMENTRY ( FID );


 EXEC P_ALTERPK 'PK_TDCS_COMMORGTYPE', 'T_TDCS_COMMORGTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_COMMORGTYPE') CREATE INDEX IDX_TDCS_COMMORGTYPE ON T_TDCS_COMMORGTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_COMMORGROLE', 'T_TDCS_COMMORGROLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_COMMORGROLE') CREATE INDEX IDX_TDCS_COMMORGROLE ON T_TDCS_COMMORGROLE ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_COMMORGROLE_L', 'T_TDCS_COMMORGROLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_COMMORGROLE_L') CREATE INDEX IDX_TDCS_COMMORGROLE_L ON T_TDCS_COMMORGROLE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_COMMORGTYPE_L', 'T_TDCS_COMMORGTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_COMMORGTYPE_L') CREATE INDEX IDX_TDCS_COMMORGTYPE_L ON T_TDCS_COMMORGTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_COMMFRAME_L', 'T_TDCS_COMMFRAME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_COMMFRAME_L') CREATE INDEX IDX_TDCS_COMMFRAME_L ON T_TDCS_COMMFRAME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_COMMORG_L', 'T_TDCS_COMMORG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_COMMORG_L') CREATE INDEX IDX_TDCS_COMMORG_L ON T_TDCS_COMMORG_L ( FID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_TDCS_JUDGEENTRY', 'T_TDCS_JUDGEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_JUDGEENTRY') CREATE INDEX IDX_TDCS_JUDGEENTRY ON T_TDCS_JUDGEENTRY ( FID );


 EXEC P_ALTERPK 'PK_TDCS_FPARENTCOMMENTRY', 'T_TDCS_FPARENTCOMMENTRY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_FPARENTCOMMENTRY') CREATE INDEX IDX_TDCS_FPARENTCOMMENTRY ON T_TDCS_FPARENTCOMMENTRY ( FID );


 EXEC P_ALTERPK 'PK_TDCS_CERTMBRROLEENTRY', 'T_TDCS_CERTMBRROLEENTRY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_CERTMBRROLEENTRY') CREATE INDEX IDX_TDCS_CERTMBRROLEENTRY ON T_TDCS_CERTMBRROLEENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_TDCS_COMMROLEORGENTRY', 'T_TDCS_COMMROLEORGENTRY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_COMMROLEORGENTRY') CREATE INDEX IDX_TDCS_COMMROLEORGENTRY ON T_TDCS_COMMROLEORGENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_TDCS_COMMUSERROLEENTRY', 'T_TDCS_COMMUSERROLEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_COMMUSERROLEENTRY') CREATE INDEX IDX_TDCS_COMMUSERROLEENTRY ON T_TDCS_COMMUSERROLEENTRY ( FID );


 EXEC P_ALTERPK 'PK_TDCS_COMMORGUSER', 'T_TDCS_COMMORGUSER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_COMMORGUSER') CREATE INDEX IDX_TDCS_COMMORGUSER ON T_TDCS_COMMORGUSER ( FCOMMID );