﻿/**Begin D:\PDM_UPGRADE\PDM1\TDCS_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_APPOINTID') CREATE INDEX IDX_TDCS_APPOINTID ON T_TDCS_APPOINTRECORD ( FAPPOINTID );

 EXEC P_ALTERPK 'PK_TDCS_RELATIONAL', 'T_TDCS_RELATIONAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_RELATIONAL') CREATE INDEX IDX_TDCS_RELATIONAL ON T_TDCS_RELATIONAL ( FEMPLOYEEID ,FPOSITIONID );


 EXEC P_ALTERPK 'PK_TDCS_PERFORMANCE', 'T_TDCS_PERFORMANCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_PERFORMANC_EMP') CREATE INDEX IDX_TDCS_PERFORMANC_EMP ON T_TDCS_PERFORMANCE ( FEMPLOYEEID );


 EXEC P_ALTERPK 'PK_TDCS_CADRECATEGORY', 'T_TDCS_CADRECATEGORY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_CADRECATEGORY_NUMBER') CREATE INDEX IDX_TDCS_CADRECATEGORY_NUMBER ON T_TDCS_CADRECATEGORY ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_CADRECATEGORY_L', 'T_TDCS_CADRECATEGORY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_CADRECATEGORY_L') CREATE INDEX IDX_TDCS_CADRECATEGORY_L ON T_TDCS_CADRECATEGORY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_AVOIDINFOMATION', 'T_TDCS_AVOIDINFOMATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_AVOIDINFOMATION_EMPID') CREATE INDEX IDX_TDCS_AVOIDINFOMATION_EMPID ON T_TDCS_AVOIDINFOMATION ( FEMPLOYEEID );


 EXEC P_ALTERPK 'PK_TDCS_OUTREPRECORD', 'T_TDCS_OUTREPRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_OUTREPRECORD_EMP') CREATE INDEX IDX_TDCS_OUTREPRECORD_EMP ON T_TDCS_OUTREPRECORD ( FEMPLOYEEID );


 EXEC P_ALTERPK 'PK_TDCS_OUTREPORTATTACH', 'T_TDCS_OUTREPORTATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_OUTREPORTATTACH') CREATE INDEX IDX_TDCS_OUTREPORTATTACH ON T_TDCS_OUTREPORTATTACH ( FBASEDATAID ,FID );



/**End D:\PDM_UPGRADE\PDM1\TDCS_constraint.sql **/
