﻿/**Begin D:\PDM_UPGRADE\PDM1\TDCS_constraint.sql **/
 EXEC P_ALTERPK 'PK_TDCS_TALENTPOOL', 'T_TDCS_TALENTPOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TALENTPOOL_NUM') CREATE INDEX IDX_TDCS_TALENTPOOL_NUM ON T_TDCS_TALENTPOOL ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_TALENTPOOL_L', 'T_TDCS_TALENTPOOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TALENTPOOL_L') CREATE INDEX IDX_TDCS_TALENTPOOL_L ON T_TDCS_TALENTPOOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_TALENTPOOLSUITORG', 'T_TDCS_TALENTPOOLSUITORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TALENTPOOLSUITORG') CREATE INDEX IDX_TDCS_TALENTPOOLSUITORG ON T_TDCS_TALENTPOOLSUITORG ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_TDCS_TALENTPOOTYPES', 'T_TDCS_TALENTPOOTYPES', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TALENTPOOTYPES') CREATE INDEX IDX_TDCS_TALENTPOOTYPES ON T_TDCS_TALENTPOOTYPES ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_TDCS_TALENTPOOLTYPE', 'T_TDCS_TALENTPOOLTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TALENTPOOLTYPE_NUM') CREATE INDEX IDX_TDCS_TALENTPOOLTYPE_NUM ON T_TDCS_TALENTPOOLTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_TALENTPOOLTYPE_L', 'T_TDCS_TALENTPOOLTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TALENTPOOLTYPE_L') CREATE INDEX IDX_TDCS_TALENTPOOLTYPE_L ON T_TDCS_TALENTPOOLTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_INTOPOOLTYPE', 'T_TDCS_INTOPOOLTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_INTOPOOLTYPE_NUM') CREATE INDEX IDX_TDCS_INTOPOOLTYPE_NUM ON T_TDCS_INTOPOOLTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_INTOPOOLTYPE_L', 'T_TDCS_INTOPOOLTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_INTOPOOLTYPE_L') CREATE INDEX IDX_TDCS_INTOPOOLTYPE_L ON T_TDCS_INTOPOOLTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDCS_OUTOFPOOLTYPE', 'T_TDCS_OUTOFPOOLTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_OUTOFPOOLTYPE_NUM') CREATE INDEX IDX_TDCS_OUTOFPOOLTYPE_NUM ON T_TDCS_OUTOFPOOLTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDCS_OUTOFPOOLTYPE_L', 'T_TDCS_OUTOFPOOLTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_OUTOFPOOLTYPE_L') CREATE INDEX IDX_TDCS_OUTOFPOOLTYPE_L ON T_TDCS_OUTOFPOOLTYPE_L ( FID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_TDCS_TALENTRECOMMEND', 'T_TDCS_TALENTRECOMMEND', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TALENTRECOMMEND_NUM') CREATE INDEX IDX_TDCS_TALENTRECOMMEND_NUM ON T_TDCS_TALENTRECOMMEND ( FBILLNO );


 EXEC P_ALTERPK 'PK_TDCS_TALENTRECOMMEND_L', 'T_TDCS_TALENTRECOMMEND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDCS_TALENTRECOMMEND_L') CREATE INDEX IDX_TDCS_TALENTRECOMMEND_L ON T_TDCS_TALENTRECOMMEND_L ( FID ,FLOCALEID );


/**End D:\PDM_UPGRADE\PDM1\TDCS_constraint.sql **/
