﻿/**Begin D:\PDM_UPGRADE\PDM1\TDCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_RESERVETALENT_L')
 CREATE TABLE T_TDCS_RESERVETALENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_POSTCOMPETENCY')
 CREATE TABLE T_TDCS_POSTCOMPETENCY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_POSTCOMPETENCY_L')
 CREATE TABLE T_TDCS_POSTCOMPETENCY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_RESERVETALENT')
 CREATE TABLE T_TDCS_RESERVETALENT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FTALENTPOOLID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FCURRMATCHDEGREEID BIGINT DEFAULT 0 NOT NULL,
FTARGETCOMPETENCYID BIGINT DEFAULT 0 NOT NULL,
FSUPERVISOR BIGINT DEFAULT 0 NOT NULL,
FINTOPOOLTYPEID BIGINT DEFAULT 0 NOT NULL,
FINTOPOOLDATE DATETIME,
FINTOBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FINTOPOOLREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FOUTOFPOOLTYPEID BIGINT DEFAULT 0 NOT NULL,
FOUTOFPOOLDATE DATETIME,
FOUTOFBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FOUTOFPOOLREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FINPOOLTIME INT DEFAULT 0 NOT NULL,
FINPOOLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_RESERVETALENT' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_TDCS_RESERVETALENT ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_RESERVETALENT' AND KSQL_COL_NAME ='FEMPLOYEEID') 
 ALTER TABLE T_TDCS_RESERVETALENT ADD (FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_RESERVETALENT' AND KSQL_COL_NAME ='FSTDPOSITIONID') 
 ALTER TABLE T_TDCS_RESERVETALENT ADD (FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_RESERVETALENT' AND KSQL_COL_NAME ='FJOBID') 
 ALTER TABLE T_TDCS_RESERVETALENT ADD (FJOBID BIGINT DEFAULT 0 NOT NULL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDCS_RECOMMENDENTRY')
  CREATE TABLE T_TDCS_RECOMMENDENTRY (
 FENTRYID BIGINT DEFAULT 0 NOT NULL,
 FID BIGINT DEFAULT 0 NOT NULL,
 FSEQ INT DEFAULT 0 NOT NULL,
 FRECOMMENDSOURCEID BIGINT DEFAULT 0 NOT NULL,
 FRECOMMENDINTOPOOLID BIGINT DEFAULT 0 NOT NULL,
 FRECOMMENDEMPID BIGINT DEFAULT 0 NOT NULL,
 FRECOMMENDDATE DATETIME,
 FRECOMMENDREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL
 );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL_L' AND KSQL_COL_NAME ='FFULLNAME')
 ALTER TABLE T_TDCS_TALENTPOOL_L ADD (FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL_L' AND KSQL_COL_NAME ='FINPOOLDESC')
 ALTER TABLE T_TDCS_TALENTPOOL_L ADD (FINPOOLDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL_L' AND KSQL_COL_NAME ='FOUTPOOLDESC')
 ALTER TABLE T_TDCS_TALENTPOOL_L ADD (FOUTPOOLDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL' AND KSQL_COL_NAME ='FLONGNUMBER')
 ALTER TABLE T_TDCS_TALENTPOOL ADD (FLONGNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL' AND KSQL_COL_NAME ='FLEVEL')
 ALTER TABLE T_TDCS_TALENTPOOL ADD (FLEVEL INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL' AND KSQL_COL_NAME ='FFULLNAME')
 ALTER TABLE T_TDCS_TALENTPOOL ADD (FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL' AND KSQL_COL_NAME ='FISLEAF')
 ALTER TABLE T_TDCS_TALENTPOOL ADD (FISLEAF CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL' AND KSQL_COL_NAME ='FPARENTID')
 ALTER TABLE T_TDCS_TALENTPOOL ADD (FPARENTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL' AND KSQL_COL_NAME ='FINPOOLWAY')
 ALTER TABLE T_TDCS_TALENTPOOL ADD (FINPOOLWAY VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL' AND KSQL_COL_NAME ='FINPOOLDESC')
 ALTER TABLE T_TDCS_TALENTPOOL ADD (FINPOOLDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL' AND KSQL_COL_NAME ='FOUTPOOLWAY')
 ALTER TABLE T_TDCS_TALENTPOOL ADD (FOUTPOOLWAY VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL' AND KSQL_COL_NAME ='FOUTPOOLDESC')
 ALTER TABLE T_TDCS_TALENTPOOL ADD (FOUTPOOLDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_RECOMMENDENTRY' AND KSQL_COL_NAME ='FRECOMMENDBILLID')
 ALTER TABLE T_TDCS_RECOMMENDENTRY ADD (FRECOMMENDBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_RECOMMENDENTRY' AND KSQL_COL_NAME ='FRECOMMENDINTOPOOLID')
 ALTER TABLE T_TDCS_RECOMMENDENTRY ADD (FRECOMMENDINTOPOOLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_RESERVETALENT' AND KSQL_COL_NAME ='FTALENTFILEID')
 ALTER TABLE T_TDCS_RESERVETALENT ADD (FTALENTFILEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TDCS_TALENTPOOL' AND KSQL_COL_NAME ='FCREATEPOOLDATE')
 ALTER TABLE T_TDCS_TALENTPOOL ADD (FCREATEPOOLDATE DATETIME );

/**End D:\PDM_UPGRADE\PDM1\TDCS_table.sql **/
